import { SlashCommandBuilder } from 'discord.js';
import { applyCommandDescription, applyOptionDescription } from '@nexumi/shared';

export const helpCommandData = applyCommandDescription(
  new SlashCommandBuilder().setName('help'),
  'core.help.description'
).addStringOption((option) =>
  applyOptionDescription(option.setName('module'), 'core.help.options.module')
);

export const infoCommandData = applyCommandDescription(
  new SlashCommandBuilder().setName('info'),
  'core.info.description'
);

export const aboutCommandData = applyCommandDescription(
  new SlashCommandBuilder().setName('about'),
  'core.about.description'
);

export const inviteCommandData = applyCommandDescription(
  new SlashCommandBuilder().setName('invite'),
  'core.invite.description'
);

export const supportCommandData = applyCommandDescription(
  new SlashCommandBuilder().setName('support'),
  'core.support.description'
);
